Bug 226339 - Merge Review: Pyrex
Merge Review: Pyrex
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Pyrex (Show other bugs)
23
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
: 447778 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:46 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to devel .spec file to fix many rpmlint warnings, update %file list (2.44 KB, patch)
2008-06-02 15:04 EDT, Kyle VanderBeek
no flags Details | Diff
Fix rpmlint warnings and .egg-related build error. (1.61 KB, patch)
2008-06-03 13:24 EDT, Kyle VanderBeek
no flags Details | Diff
Fix rpmlint warnings and .egg-related build error, take 2 (1.64 KB, patch)
2008-06-03 14:44 EDT, Kyle VanderBeek
no flags Details | Diff

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:46:06 EST
Fedora Merge Review: Pyrex

http://cvs.fedora.redhat.com/viewcvs/devel/Pyrex/
Initial Owner: mbarnes@redhat.com
Comment 1 Kyle VanderBeek 2008-05-05 22:40:42 EDT
This bug is probably obsolete with
https://bugzilla.redhat.com/show_bug.cgi?id=445289 being a further update.
Comment 2 Bug Zapper 2008-05-14 08:09:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Kyle VanderBeek 2008-06-02 00:04:36 EDT
Hope this is ok.  Pyrex has been updated since this bug was opened, and F-7 is
nearly EOL.  No reason for this review anymore.

*** This bug has been marked as a duplicate of 445289 ***
Comment 4 Jason Tibbitts 2008-06-02 11:25:07 EDT
Please remember that these merge review tickets are open because the packages
which were in Fedora Core have not undergone any formal review and they really
should all be reviewed at some point.

Bug 445289 doesn't seem to contain any hint of an actual package review, so I'm
re-opening.  If you can point to another ticket where Pyrex is reviewed, then
please re-close this as a duplicate.
Comment 5 Kyle VanderBeek 2008-06-02 15:04:35 EDT
Created attachment 307551 [details]
Patch to devel .spec file to fix many rpmlint warnings, update %file list

Pyrex had lots of rpmlint warnings, this patch cleans many of them.

We should also mind bug 447778 which requests an update to the newest version.
Comment 6 Matthew Barnes 2008-06-03 12:10:46 EDT
Thanks Kyle.  I applied your patch to the Pyrex package and also upgraded to
0.9.8.2 to cover bug #447778.  New package is Pyrex-0.9.8.2-1.fc10.

I assume there's no ABI or API breakage in this upgrade?  Not sure whether to
push this to Fedora 9.
Comment 7 Matthew Barnes 2008-06-03 12:12:03 EDT
*** Bug 447778 has been marked as a duplicate of this bug. ***
Comment 8 Kyle VanderBeek 2008-06-03 13:24:20 EDT
Created attachment 308269 [details]
Fix rpmlint warnings and .egg-related build error.

In 0.9.7 he introduced a deprecation of a particular loop form, but
un-deprecated it later.  It's compatible and should be fine to push to all
active branches.

However, your current devel/ spec doesn't build on my F-8 system.  Pyrex
doesn't use "eggy" setuputils, it uses old school distutils, thus the build
fails:

RPM build errors:
    File not found by glob:
/var/tmp/Pyrex-0.9.8.2-1.fc10-root-kylev/usr/lib/python2.5/site-packages/*.egg-info

make: *** [noarch] Error 1

Removing that line, there are still some rpmlint errors, so I've fixed the
Summary lines as well (warnings were about lacking capitalization and having
trailing dot).

(I'm happy to help you maintain this package, too).
Comment 9 Mamoru TASAKA 2008-06-03 13:30:44 EDT
(In reply to comment #8)

> However, your current devel/ spec doesn't build on my F-8 system. 

Merge review must be done on rawhide machine.
Comment 10 Jason Tibbitts 2008-06-03 13:44:31 EDT
Well, not necessarily, but if the branches aren't synchronized then you may not
really have much choice.  There's not much point in reviewing the F-8 branch if
the maintainer is doing their work on the devel branch how, and you can't really
expect what's in devel/ to build on F-8.
Comment 11 Matthew Barnes 2008-06-03 13:56:57 EDT
The spec file may have to be modified separately on the F-9 branch if we upgrade
there.  I don't plan to upgrade this package for Fedora 8.
Comment 12 Mamoru TASAKA 2008-06-03 14:00:34 EDT
(In reply to comment #10)
> Well, not necessarily, but if the branches aren't synchronized then you may not
> really have much choice.

Of course I mean what you say. i.e. usually we cannot expect that
spec file targeted for devel branch also builds on F-8.
Comment 13 Kyle VanderBeek 2008-06-03 14:44:07 EDT
Created attachment 308275 [details]
Fix rpmlint warnings and .egg-related build error, take 2

Understood.  In this particular instance, just using %{python_sitelib}/Pyrex*
in the %files section will catch the .egg that gets auto-built on rawhide and
also works if we want to push the update to both F-8 and F-9.

I don't want to start much of a debate, I'm mostly just trying to understand
the ins and outs of when and where we can easily keep one spec file around and
push updates to all branches with the easy "copy the .spec from devel to F-8
and F-9" method.
Comment 14 Matthew Barnes 2008-06-04 15:48:17 EDT
Looks good.  Built your patch unmodified.  Should be in tomorrow's Rawhide.
Comment 15 Parag AN(पराग) 2010-12-08 05:10:01 EST
Unfortunately no time in future to work on this. Removing myself.
Comment 16 Cole Robinson 2015-02-11 15:38:40 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 17 Jan Kurik 2015-07-15 11:24:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 18 Fedora End Of Life 2016-11-24 05:21:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 06:59:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.